com.holonplatform.core

## Interface ExpressionResolver.ExpressionResolverSupport

- All Known Subinterfaces:
    AsyncDatastore, BeanDatastore, ConfigurableDatastore, Datastore, DatastoreExpressionResolverRegistrar, ExpressionResolverRegistry
  All Known Implementing Classes:
    DefaultExpressionResolverRegistry
  Enclosing interface:
    ExpressionResolver<E extends Expression,R extends Expression>

      public static interface ExpressionResolver.ExpressionResolverSupport

  Interface to declare the support for `ExpressionResolver` by a class.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `<E extends Expression,R extends Expression> void` | `addExpressionResolver(ExpressionResolver<E,R> expressionResolver)` Add an `ExpressionResolver`.
    `default void` | `addExpressionResolvers(Iterable<? extends ExpressionResolver> resolvers)` Add all expression resolvers provided by given `resolvers` Iterable.
    `<E extends Expression,R extends Expression> void` | `removeExpressionResolver(ExpressionResolver<E,R> expressionResolver)` Remove an `ExpressionResolver`.

- - ### Method Detail

    - #### addExpressionResolver

          <E extends Expression,R extends Expression> void addExpressionResolver(ExpressionResolver<E,R> expressionResolver)

      Add an `ExpressionResolver`.
      Type Parameters:
        `E` - Expression type
        `R` - Resolved expression type
      Parameters:
        `expressionResolver` - Resolver to add (not null)

    - #### removeExpressionResolver

          <E extends Expression,R extends Expression> void removeExpressionResolver(ExpressionResolver<E,R> expressionResolver)

      Remove an `ExpressionResolver`.
      Type Parameters:
        `E` - Expression type
        `R` - Resolved expression type
      Parameters:
        `expressionResolver` - Resolver to remove (not null)

    - #### addExpressionResolvers

          default void addExpressionResolvers(Iterable<? extends ExpressionResolver> resolvers)

      Add all expression resolvers provided by given `resolvers` Iterable.
      Parameters:
        `resolvers` - Expression resolvers to add (not null)

Copyright © 2019 The Holon Platform. All rights reserved.